GetACDQueueStatistics

View as Markdown
Get statistics for calls distributed to users (referred as 'operators') via the 'queue' distribution system. This method can filter statistic based on operator ids, queue ids and date-time interval. It can also group results by day or hour. Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `User manager`. **Example request:** Get WT and TT statistics for the queue from the specified date.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

from_datestringRequired

Date and time of statistics interval begin. Time zone is UTC, format is 24-h ‘YYYY-MM-DD HH:mm:ss’

to_datestringOptionalDefaults to current date and time

Date and time of statistics interval begin. Time zone is UTC, format is 24-h ‘YYYY-MM-DD HH:mm:ss’

abbreviationbooleanOptionalDefaults to true
Whether key names in returned JSON are abbreviated to reduce response byte size. The abbreviations are: 'WT' for 'WaitingTime', 'SA' for 'SpeedOfAnswer', 'AT' is for 'AbandonmentTime', 'HT' is for 'HandlingTime', 'TT' is for 'TalkTime', 'ACW' is for 'AfterCallWork', 'QL' is for 'QueueLength', 'TC' is for 'TotalCalls', 'AC' is for 'AnsweredCalls', 'UAC' is for 'UnansweredCalls', 'RC' is for 'RejectedCalls', 'SL' is for 'ServiceLevel', 'TWT' is for 'TotalWaitingTime', 'TST' is for 'TotalSubmissionTime', 'TAT' is for 'TotalAbandonmentTime', 'THT' is for 'TotalHandlingTime', 'TTT' is for 'TotalTalkTime', 'TACW' is for 'TotalAfterCallWork'
acd_queue_idlist of integersOptional

The ACD queue ID list separated by semicolons (;). Use the ‘all’ value to select all ACD queues

reportlist of stringsOptional

List of item names abbreviations separated by semicolons (;). Returned JSON includes keys only for the selected items. Special ‘all’ value defines all possible items, see [ACDQueueStatisticsType] for a complete list. See ‘abbreviation’ description for complete abbreviation list

aggregationstringOptionalDefaults to none

Specifies how records are grouped by date and time. If set to ‘day’, the criteria is a day number. If set to ‘hour_of_day’, the criteria is a 60-minute interval within a day. If set to ‘hour’, the criteria is both day number and 60-minute interval within that day. If set to ‘none’, records are not grouped by date and time

Response

Successful response
resultlist of objects
List of records grouped grouped by date according to the 'aggregation' method call argument